@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
body{
    display:flex ;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url('background.jpg')no-repeat;
    background-size: cover;
    background-position: center;
}
header{
    position:fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 20px;

    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 99;
}
.logo{
    font-size: 2em;
    color: #fff;
    user-select:none;
}
.navigation a {
    position: relative;
    font-size: 1.1em;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 40px;
}
.navigation a::after {
    content: '' ;
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: 3px;
    background: #fff;
    border-radius: 5px;
    transform-origin:left ;
    transform: scaleX(0);
    transition: transform .5s;

}
.navigation a:hover::after {
    transform-origin: right;
    transform: scaleX(1);

}

.navigation .btnLogin-popup{
    width: 130px;
    height: 50px;
    background:transparent ;
    border:  2px solid #fff;
    outline:none;
    border-radius: 6px;
    cursor: pointer;
    font-size:1.1em;
    color: #fff;
    font-weight: 500;
    margin-left:  40px;
    transition: .5s;
}
.navigation .btnLogin-popup:hover{
background:#fff;
color: #000000;
}
.wrapper{
    position: relative;
    width: 400px;
    height: 400px;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, 0.5);
    border-radius:20px ;
    backdrop-filter: blur(100px) ;                     /* blur */
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden; 
    transform: scale(0);
    transition: transform ease;
}
.wrapper.active-popup{
    transform: scale(1);
}
.wrapper.active{
    height:520px;
}
.wrapper .form-box{
    width: 100%;
    padding: 40px;
}
.wrapper .form-box.login{
    transition: transform .18s ease; 
    transform: translateX(0);
}
.wrapper.active .form-box.login{
    transition: none;
    transform: translateX(-400px);
}
.wrapper .form-box.register{
    position: absolute;
    transition: none;
    transform: translateX(400px);
    
}
.wrapper.active .form-box.register{
    transition: transform .18s ease; 
    transform: translateX(0);
}
.wrapper .icon-close {
    position: absolute;
    top: 0;
    right:0;
    width: 45px;
    height: 45px;
    background:transparent;
    font-size: 3em;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    border-top-left-radius: 20px;
    cursor:pointer;
    z-index:   1;
}
.form-box h2 {
    font-size:  2em;
    color: #ffffff; /* napis login */
    text-align: center;

}
.input-box {
    position:  relative;
    width: 100%;
    height: 50px;
    border-bottom: 2px solid #fff;
    margin:30px 0 ;
}
.input-box label{
    position: absolute;
    top:50%;
    left: 5px;
    transform: translateY(-50%);
    font-size: 1em;
    color:#ffffff; /* napisy inside inputa */
    font-weight: 500;
    pointer-events: none;
    transition: .5s;

}

.input-box input:focus~label,
.input-box input:valid~label{
    top:-5px;
}
.input-box input{
    width:100%;
    height: 100%;
    background: transparent;
    border-top: none;
    border-left: none;
    border-right: none;
    outline: none;
    border-color: #fff;

}
.input-box{
    width:100%;
    height:100%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    color: #df7b0a;
    font-weight: 600;
    padding: 0 35px 0 5px;
}
.input-box .icon{
    position:  absolute;
    right: 8px;
    font-size: 1.2em;
    color:#ffffff; /* ikonki */
    line-height: 44px;
}
.remember-forgot{
    font-size:.9em;
    color: #cecece;  /* remember me */
    font-weight: 500;
    margin:-15px 0 15px;
    display: flex;
    justify-content: space-between;
}
.remember-forgot label input{
    accent-color: #ffffff;  /* kolor checkmarka */
    margin-right: 3px;
}
.remember-forgot a{
    color: #000000; /* napis zapomnialem haslo */
    text-decoration:  none;
}
.remember-forgot a:hover{
    text-decoration:  underline;
}
.btn{
    width: 100%;
    height: 45px;
    background: #ffffff; /* big napis login */
    border: none;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 1em;
    color: #000000;
    font-weight: 500;

}
.login-register{
    font-size: .9em;
    color: #ffffff;
    text-align: center;
    font-weight: 500;
    margin:25px 0 10px
}
.login-register p a {
    color:#ffffff; /*register link */
    text-decoration:none;
    font-weight: 600;

}
.login-register p a:hover{
    text-decoration: underline;
}